> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1businesses employees expense reports expenses replace



## OpenAPI

````yaml /api-reference/openapi.json post /v1/businesses/{businessId}/employees/{employeeId}/expense-reports/{reportId}/expenses/{expenseId}/replace
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/businesses/{businessId}/employees/{employeeId}/expense-reports/{reportId}/expenses/{expenseId}/replace:
    post:
      tags:
        - EmployeeExpenseReportExpenses
      parameters:
        - name: businessId
          in: path
          required: true
          schema:
            type: integer
            format: int64
        - name: employeeId
          in: path
          required: true
          schema:
            type: integer
            format: int64
        - name: reportId
          in: path
          required: true
          schema:
            type: integer
            format: int64
        - name: expenseId
          in: path
          required: true
          schema:
            type: integer
            format: int64
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/ExpenseReportsExpenseReportReplaceExpenseRequest
          text/json:
            schema:
              $ref: >-
                #/components/schemas/ExpenseReportsExpenseReportReplaceExpenseRequest
          application/*+json:
            schema:
              $ref: >-
                #/components/schemas/ExpenseReportsExpenseReportReplaceExpenseRequest
      responses:
        '200':
          description: OK
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
        '403':
          description: Forbidden
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
        '404':
          description: Not Found
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
components:
  schemas:
    ExpenseReportsExpenseReportReplaceExpenseRequest:
      type: object
      properties:
        newExpenseId:
          type: integer
          format: int64
        categoryId:
          type: integer
          format: int64
          nullable: true
        notes:
          type: string
          nullable: true
      additionalProperties: false
    MicrosoftAspNetCoreMvcProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}

````